GetLineage
curl --request POST \
--url https://developer.synq.io/api/lineage/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startPoint": {
"entities": {
"entities": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
]
}
},
"maxDepth": 123
}
'import requests
url = "https://developer.synq.io/api/lineage/v1"
payload = {
"startPoint": { "entities": { "entities": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }] } },
"maxDepth": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startPoint: {
entities: {entities: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}]}
},
maxDepth: 123
})
};
fetch('https://developer.synq.io/api/lineage/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lineage": {
"nodes": [
{
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"cllDetails": {
"columns": [
{
"columnId": "<string>",
"name": "<string>",
"nativeType": "<string>"
}
],
"cllMessages": [
"<string>"
]
}
}
],
"nodeDependencies": [
{
"sourceNodeIdx": 123,
"targetNodeIdx": 123
}
],
"isCll": true,
"columnDependencies": [
{
"sourceNodeIdx": 123,
"sourceNodeColumnId": "<string>",
"targetNodeIdx": 123,
"targetNodeColumnId": "<string>"
}
]
}
}synq.entities.lineage.v1.LineageService
GetLineage
POST
/
api
/
lineage
/
v1
GetLineage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Direction of the lineage to query.
Available options:
LINEAGE_DIRECTION_UNSPECIFIED, LINEAGE_DIRECTION_UPSTREAM, LINEAGE_DIRECTION_DOWNSTREAM, LINEAGE_DIRECTION_UPSTREAM_DOWNSTREAM Possible starting points to get lineage from.
- entities
- entity_columns
Show child attributes
Show child attributes
Response
200 - application/json
Success
Lineage defines the lineage of table-like entities.
Show child attributes
Show child attributes
⌘I